Bug 832267

Summary: publican update_site warnings should break BREW build
Product: [Community] Publican Reporter: Marco Grigull <mgrigull>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED CANTFIX QA Contact: Ruediger Landmann <rlandman>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 2.8CC: rlandman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-15 00:02:28 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Marco Grigull 2012-06-14 23:30:36 EDT
Description of problem:
packages build for web deployment should have any warning generated by a mandatory 'publican update_site' cancle the brew build (docs-rhel-6, non-scratch)

Version-Release number of selected component (if applicable):
2.8

How reproducible:
afaik it happens with certain translated doc packages.

Steps to Reproduce:
1.setup webserver for docs, intall publican
2.install defective docs pacakge
3.publican update_site
  
Actual results:
packages slip through ands print wanring on doc-stage and beyond when reindexing.

Expected results:
No faulty packages should be allowed to go this far

Additional info:
WHilst it recently is caused by translated pacakges it has historically thrown other erors with packages that purported to hae diffetrent formats availavble when they didnt e.g. indic pdf versions.
Comment 1 Jeff Fearn 2012-06-15 00:02:28 EDT
You are asking for us to test installing the generated package in Brew, this is impossible.

The answer here is the same as it is for any other package, post koji testing by QE.